code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash # Copyright 2014 Google Inc. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applic...
discordianfish/kubernetes
hack/local-up.sh
Shell
apache-2.0
1,336
#!/bin/bash TARGET="/tmp/elasticsearch" if [ ! -f "$TARGET/elasticsearch-1.6.2/bin/elasticsearch" ]; then echo "$TARGET not found. Building..." pushd $TARGET wget https://download.elastic.co/elasticsearch/elasticsearch/elasticsearch-1.6.2.tar.gz tar xvf elasticsearch-1.6.2.tar.gz elasticsearch-1....
jasonthomas/zamboni
scripts/travis_es.sh
Shell
bsd-3-clause
433
#!/bin/bash -ex runghc app/stackage.hs select $* runghc app/stackage.hs check runghc app/stackage.hs build runghc app/stackage.hs test
pmiddend/stackage
full-run.sh
Shell
mit
136
#!/bin/sh test_description='test separate work tree' . ./test-lib.sh test_expect_success 'setup' ' EMPTY_TREE=$(git write-tree) && EMPTY_BLOB=$(git hash-object -t blob --stdin </dev/null) && CHANGED_BLOB=$(echo changed | git hash-object -t blob --stdin) && EMPTY_BLOB7=$(echo $EMPTY_BLOB | sed "s/\(.......\).*/\1/...
schaary/studipET2012
t/t1501-worktree.sh
Shell
gpl-2.0
8,220
#!/bin/bash set -eu function usage { echo "Usage: $0 [OPTION]..." echo "Run Neutron's test suite(s)" echo "" echo " -V, --virtual-env Always use virtualenv. Install automatically if not present" echo " -N, --no-virtual-env Don't use virtualenv. Run tests in local environment" echo " ...
shakamunyi/neutron-vrrp
run_tests.sh
Shell
apache-2.0
6,737
#!/bin/bash # Copyright 2015 The Kubernetes Authors All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless require...
dcbw/kubernetes
cluster/mesos/docker/util.sh
Shell
apache-2.0
13,790
#!/bin/sh ./flora_pac -x 'SOCKS5 127.0.0.1:8964; SOCKS 127.0.0.1:8964; DIRECT' -p 8970
crysislinux/Flora_Pac
test_server.sh
Shell
mit
88
# Let's verify that the tools we need are installed verify_aws_cli() { declare -a required=(aws) for cmd in "${required[@]}"; do command -v $cmd >/dev/null 2>&1 || { echo "'$cmd' must be installed" >&2 exit 1 } done } #------------------------------------------------...
dave2/packer
test/test_helper.bash
Shell
mpl-2.0
1,585
#!/bin/bash fw_depends urweb mysql export URWEB_HOME=${IROOT}/urweb export LD_LIBRARY_PATH=${URWEB_HOME}/lib ${URWEB_HOME}/bin/urweb -dbms mysql -db "dbname=hello_world user=benchmarkdbuser password=benchmarkdbpass host=${DBHOST}" bench MAX_THREADS=$((2 * $CPU_COUNT)) ./bench.exe -q -k -t ${MAX_THREADS} &
mfirry/FrameworkBenchmarks
frameworks/Ur/urweb/setup_mysql.sh
Shell
bsd-3-clause
311
#!/usr/bin/env bash set -e # bits of this were adapted from lxc-checkconfig # see also https://github.com/lxc/lxc/blob/lxc-1.0.2/src/lxc/lxc-checkconfig.in possibleConfigs=( '/proc/config.gz' "/boot/config-$(uname -r)" "/usr/src/linux-$(uname -r)/.config" '/usr/src/linux/.config' ) if [ $# -gt 0 ]; then CONFIG=...
Ninir/docker
contrib/check-config.sh
Shell
apache-2.0
4,893
#!/bin/bash export PHP_HOME=${IROOT}/php-5.5.17 export COMPOSER_HOME=${IROOT}/php-composer export PHP_FPM=${PHP_HOME}/sbin/php-fpm export NGINX_HOME=${IROOT}/nginx sed -i 's|127.0.0.1|'"${DBHOST}"'|g' apps/configs/database.php sed -i 's|root .*/FrameworkBenchmarks/cygnite-php-framework|root '"${TROOT}"'|g' deploy/ngi...
fabianmurariu/FrameworkBenchmarks
frameworks/PHP/cygnite-php-framework/setup.sh
Shell
bsd-3-clause
590
# # -- START -- # preremove.solaris.sh,v 1.1 2001/08/21 20:33:17 root Exp # # This is the shell script that does the preremove echo RUNNING preremove.solaris.sh if [ "$VERBOSE_INSTALL" != "" ] ; then set -x; fi echo "Stopping LPD" pkill -INT lpd exit 0
alcobar/asuswrt-merlin
release/src/router/LPRng/preremove.solaris.sh
Shell
gpl-2.0
253
#!/bin/bash # Copyright (c) 2013 Intel Corporation. # Redistribution and use in source and binary forms, with or without modification, # are permitted provided that the following conditions are met: # * Redistributions of works must retain the original copyright notice, this list # of conditions and the following d...
yugang/crosswalk-test-suite
stability/wrt-stablonglast-android-tests/stablonglast/RunPlayMusicLongTime.sh
Shell
bsd-3-clause
1,885
#!/bin/sh if [ $# -ne 2 ]; then echo "Usage: $0 iface newmac" echo " newmac is only saved if /etc/<iface>MAC is not found" exit 1 fi iface="$1" newmac="$2" macfile=/etc/"$iface"mac # If no MAC is found, save the one given as argument if [ ! -e $macfile ]; then /bin/echo "$newmac" > $macfile # Otherwise l...
openembedded/openembedded
recipes/udev/udev/nokia900/nokia-n900-mac-hack.sh
Shell
mit
469
#!/bin/sh # AIK-Linux/unpackimg: split image and unpack ramdisk # osm0sis @ xda-developers cleanup() { $sudo$rmsu rm -rf ramdisk split_img *new.*; } abort() { cd "$aik"; echo "Error!"; } case $1 in --sudo) sudo=sudo; sumsg=" (as root)"; shift;; esac; aik="${BASH_SOURCE:-$0}"; aik="$(dirname "$(readlink -f "$aik")"...
morogoku/MoRoKernel-S7-v2
ramdisk/unpackimg.sh
Shell
gpl-2.0
2,133
#!/bin/sh . "${TEST_SCRIPTS_DIR}/unit.sh" define_test "3 nodes, no IPs assigned, all healthy, all in STARTUP runstate" export CTDB_TEST_LOGLEVEL=2 required_result <<EOF ${TEST_DATE_STAMP}Failed to find node to cover ip 192.168.21.254 ${TEST_DATE_STAMP}Failed to find node to cover ip 192.168.21.253 ${TEST_DATE_STAMP...
SpectraLogic/samba
ctdb/tests/takeover/lcp2.024.sh
Shell
gpl-3.0
1,148
#!/bin/bash # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "License"); ...
ShownX/incubator-mxnet
scala-package/examples/scripts/neuralstyle_end2end/run_test_end2end.sh
Shell
apache-2.0
1,259
#!/bin/sh # # Check if current architecture are missing any function calls compared # to i386. # i386 define a number of legacy system calls that are i386 specific # and listed below so they are ignored. # # Usage: # syscallchk gcc gcc-options # ignore_list() { cat << EOF #include <asm/types.h> #include <asm/unistd.h>...
blakearnold/MPR
scripts/checksyscalls.sh
Shell
gpl-2.0
3,129
#!/bin/bash mkdir -p $PREFIX/bin chmod +x proTRAC_$PKG_VERSION.pl perl -i -wpe 's/\r/\n/g' proTRAC_$PKG_VERSION.pl perl -i -wpe 's/\/perl/\/env perl/' proTRAC_$PKG_VERSION.pl cp proTRAC_$PKG_VERSION.pl $PREFIX/bin
dmaticzka/bioconda-recipes
recipes/protrac/build.sh
Shell
mit
216
#!/bin/bash # # SPDX-License-Identifier: GPL-2.0 # gen_kselftest_tar # Generate kselftest tarball # Author: Shuah Khan <shuahkh@osg.samsung.com> # Copyright (C) 2015 Samsung Electronics Co., Ltd. # main main() { if [ "$#" -eq 0 ]; then echo "$0: Generating default compression gzip" copts="cvzf" ext=".tar.gz" e...
Pingmin/linux
tools/testing/selftests/gen_kselftest_tar.sh
Shell
gpl-2.0
1,114
#!/bin/sh # # Copyright (c) 2006 Eric Wong # test_description='git apply should not get confused with type changes. ' . ./test-lib.sh test_expect_success SYMLINKS 'setup repository and commits' ' echo "hello world" > foo && echo "hi planet" > bar && git update-index --add foo bar && git commit -m initial && gi...
TextusData/Mover
thirdparty/git-1.7.11.3/t/t4114-apply-typechange.sh
Shell
gpl-3.0
3,189
echo "which blog repo (subtree)? " read $repo git subtree push --prefix=contents/article/$repo $repo master
maps-on-blackboard/maps-on-blackboard-wintersmith
push-subtree-blog-repo.sh
Shell
mit
108
#!/bin/bash LOTE=$1 $BINDIR/simusched $LOTE 1 1 0 SchedRR 5 > "$NOMBRE.dat"
lvuotto/so-tps
tp1/benchmark/ej4-1.sh
Shell
mit
77
#!/bin/bash DB_PARAMS=~/RandomMetroidSolver/db_params.py function get_db_param { PARAM="$1" sed -e "s+.*${PARAM}='\([^']*\)'.*+\1+" ${DB_PARAMS} } function get_pending_seeds { SQL="select guid from randomizer where upload_status = 'pending';" echo "${SQL}" | mysql --skip-column-names --silent -h ${ho...
theonlydude/RandomMetroidSolver
tools/archive_ips.sh
Shell
mit
1,357
#!/bin/bash KEYWORDS_BIBLE="Bible|biblical|Adam(| )(&|and)(| )Eve|Book(| )of(| )(Genesis|Proverbs)|\bEden\b|Isaiah|Israelites|Goliath|Philistine|Tribe(|s)(| )of(| )Judah|Leviticus|Deuteronomy|King(| )James(| )Version" KEYWORDS_BIBLE_CASESENSITIVE="\bJob\b" KEYWORDS_BIBLE_EXCLUDE="Goliath(| )(beetle|chronicle)" KEYWORD...
MW-autocat-script/MW-autocat-script
catscripts/Lifestyle/Religion/The_Bible/TheBible.sh
Shell
mit
673
#!/bin/bash DB=${1:-test_badchar} echo "========================================" echo "Start: `date`" START="`date +%s`" echo "========================================" TAB_COL_ALL=$( echo "select search_for_non_utf8_columns();" | psql ${DB} | perl -ne 'print STDERR $_; if (/^ \(/ ) { s/[(),]/ /g; @x = split(/\s+/,$...
sammcj/sql_ascii_to_utf8
run_process_non_utf8.sh
Shell
mit
1,404
read a;read b;MSG="You can win";for i in `seq 1 ${#b}`;do m=`echo "$a"| cut -c $i`;n=`echo "$b"| cut -c $i`;[ ! "$m" = "$n" ] && { [[ "$m" =~ [^atcoder@] ]] || [[ "$n" =~ [^atcoder@] ]] && MSG="You will lose" && break;[ ! "$m" = "@" ] && [[ "$n" =~ [atcoder] ]] && MSG="You will lose" && break;[ ! "$n" = "@" ] && [[ "$m...
jmatsu/BashCoder
abc/003/b.sh
Shell
mit
386
# Disable press-and-hold for keys in favor of key repeat. defaults write -g ApplePressAndHoldEnabled -bool false # Use AirDrop over every interface. srsly this should be a default. defaults write com.apple.NetworkBrowser BrowseAllInterfaces 1 # Always open everything in Finder's list view. This is important. defaults...
zeroDivisible/new-machine-bootstrap
scripts/osx-defaults.sh
Shell
mit
3,386
#!/bin/bash systemctl restart outages.weenhanceit.com
weenhanceit/outages
scripts/ApplicationStart.sh
Shell
mit
54
#!/bin/bash ln -s -r $1 enabled_modules/
JimboMonkey1234/pushserver
enable.sh
Shell
mit
42
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DSA-3335-1 # # Security announcement date: 2015-08-13 00:00:00 UTC # Script generation date: 2017-01-01 21:07:31 UTC # # Operating System: Debian 7 (Wheezy) # Architecture: armv7l # # Vulnerable packages fix on version: # - request-tracker4:4.0.7-5+deb7u4 # ...
Cyberwatch/cbw-security-fixes
Debian_7_(Wheezy)/armv7l/2015/DSA-3335-1.sh
Shell
mit
1,471
#!/usr/bin/env bash usage(){ echo echo " Usage: fsplate <template> [destination]" echo echo " Options:" echo echo " -f, --force write over any existing files" echo " -h, --help show this help message" echo " -V, --version print version number" echo echo " Note: you will be promp...
jkroso/fs-plates
fsplates.sh
Shell
mit
2,584
#!/bin/bash #xhost + local: #ARDU_PATH=`cd ../../ardupilot && pwd` #echo $ARDU_PATH #docker run -it --rm --name sitl_run -v $ARDU_PATH:/ardupilot -v /tmp/.X11-unix:/tmp/.X11-unix -e DISPLAY=$DISPLAY sitl_image /bin/bash DRONE_LAB_DIR=`cd ../../ && pwd` docker run -it --rm \ -v $DRONE_LAB_DIR:/dronelab \ -v /tmp/.X1...
orig74/DroneSimLab
dockers/sitl_image/run_image.sh
Shell
mit
618
#!/bin/bash # @TODO Create symlinks or shortcuts to library files (Research what gets auto-included by composer and what doesn't XDIR=$(pwd) echo "Currenty @ ${XDIR}..." # Create symlinks ln -s
uchilaka/com.larcity.codeigniter.shell
dist/build.sh
Shell
mit
196
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DSA-2351-1 # # Security announcement date: 2011-11-21 00:00:00 UTC # Script generation date: 2017-01-01 21:06:19 UTC # # Operating System: Debian 6 (Squeeze) # Architecture: x86_64 # # Vulnerable packages fix on version: # - wireshark:1.2.11-6+squeeze5 # # La...
Cyberwatch/cbw-security-fixes
Debian_6_(Squeeze)/x86_64/2011/DSA-2351-1.sh
Shell
mit
640
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DSA-2249-1 # # Security announcement date: 2011-05-31 00:00:00 UTC # Script generation date: 2017-01-01 21:06:15 UTC # # Operating System: Debian 6 (Squeeze) # Architecture: i386 # # Vulnerable packages fix on version: # - jabberd14:1.6.1.1-5+squeeze1 # # Las...
Cyberwatch/cbw-security-fixes
Debian_6_(Squeeze)/i386/2011/DSA-2249-1.sh
Shell
mit
631
#!/usr/bin/env echo "$OSTYPE" if [[ "$OSTYPE" == 'msys' ]]; then echo 'OS is Windows. Setting npm script-shell to bash' if test -f 'C:/Program Files/git/bin/bash.exe'; then npm config set script-shell 'C:/Program Files/git/bin/bash.exe' echo 'script-shell set to C:/Program Files/git/bin/bash.exe' elif test -f '...
JunoLab/atom-indent-detective
ppublish.sh
Shell
mit
859
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for RHSA-2015:0301 # # Security announcement date: 2015-03-05 14:52:45 UTC # Script generation date: 2017-01-01 21:15:59 UTC # # Operating System: Red Hat 7 # Architecture: x86_64 # # Vulnerable packages fix on version: # - hivex.i686:1.3.10-5.7.el7 # - hivex.x...
Cyberwatch/cbw-security-fixes
Red_Hat_7/x86_64/2015/RHSA-2015:0301.sh
Shell
mit
1,872
#!/bin/bash set -e -o pipefail if [ ! -f "/volumes/dropbox/.dropbox_uploader" ]; then echo "[ERROR] Missing config file for Dropbox Uploader, see README." exit 1 fi tar -czf "/root/world.tar.gz" \ --exclude='*.lock' \ --exclude='.git' \ "game/world" \ "game/world_nether" \ "game/world_the...
themattrix/minecraft-fig
containers/dropbox-save-world/save-to-dropbox.sh
Shell
mit
491
#!/bin/sh set -e : ${MNEMOSYNED_PORT:=8080} : ${MNEMOSYNED_HOST:=0.0.0.0} : ${MNEMOSYNED_GRPC_DEBUG:=false} : ${MNEMOSYNED_TTL:=24m} : ${MNEMOSYNED_TTC:=1m} : ${MNEMOSYNED_CLUSTER_LISTEN:=$(hostname):$MNEMOSYNED_PORT} : ${MNEMOSYNED_CLUSTER_SEEDS:=} : ${MNEMOSYNED_LOG_ENVIRONMENT:=production} : ${MNEMOSYNED_LOG_LEVEL:...
piotrkowalczuk/mnemosyne
scripts/docker-entrypoint.sh
Shell
mit
1,352
#!/bin/bash docker build --no-cache -t glot/coffeescript:latest .
kurtinge/glot-containers
coffeescript/build.sh
Shell
mit
66
#!/usr/bin/env sh isort **/*.py && black -l 79 **/*.py mypy **/*.py --ignore-missing-imports pyflakes **/*.py PYTHONPATH=. python -m pytest tests/
cptx032/calcium
runtests.sh
Shell
mit
147
dcheck git || return alias wdiff="git --no-pager diff --color=auto --no-ext-diff --no-index --color-words '--word-diff-regex=[a-zA-Z0-9\-_]+'"
justinhoward/dotfiles
modules/wdiff/init.sh
Shell
mit
144
#!/bin/bash root="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." && pwd )" source "$LSN_COMMON/functions" cd $root git_repo="https://github.com/balupton/history.js.git" dir_proj="/home/ryan/Projects/history.js" dir_dest="$root/src/lib/ecma/platform" # # Update sources # if [ ! -d "$dir_proj" ]; then if ($(ask_yn "Cr...
ryangies/lsn-javascript
scripts/up-history-js.sh
Shell
mit
736
# # npm command completion script # # Install Method 1: Automatic # Put this file in /etc/bash-completion.d or /usr/local/etc/bash-completion.d # or wherever bash-completion scripts are sourced on your system. # # Install Method 2: Generic # Put this in .bashrc or whatever file you run when you log into a machine: # . ...
BogusCurry/npm
npm-completion.sh
Shell
mit
1,378
#!/bin/sh SALT='$murphyseanmovienight$:' PASSWORD=password export SALTED_PASSWORD=$SALT$PASSWORD #Mac version uses shasum, linux could use sha512sum #Not working for some reason, in this script it returns different results than shell HASHED_PASSWORD=`echo -n $SALTED_PASSWORD | shasum -a 512256 | xxd -r -p | base64` HA...
murphysean/movie-night
scripts/populate.sh
Shell
mit
1,649
# If set, parameter expansion, command substitution and arithmetic expansion are # performed in prompts. Substitutions within prompts do not affect the command # status. # # http://zsh.sourceforge.net/Doc/Release/Options.html#index-PROMPTSUBST # setopt PROMPT_SUBST # If the PROMPT_SUBST option is set, the prompt s...
asherbender/zsh-dot-files
prompt.zsh
Shell
mit
947
if ! [[ "$LOCALIZR_DISABLE_AUTO_MIGRATION" = "1" ]]; then python manage.py migrate fi cat <<EOF | python manage.py shell import os from django.contrib.auth.models import User if os.environ.get("ADMIN_USERNAME", None): User.objects.filter(username="$ADMIN_USERNAME").exists() or \ User.objects.create_superuser("$...
michaelhenry/Localizr
entrypoint-heroku.sh
Shell
mit
426
#!/bin/sh cd #cd Ap tab cd Application cd #cd De tab cd Desktop
ReanyAlex/unix_and_bash
linux/nav_ex3.sh
Shell
mit
68
#!/bin/bash source TEMP.conf for item in TEMP.conf; then do echo item done
zuimrs/zopenconfig
temp-env.sh
Shell
mit
75
#!/bin/bash #Script can be called with an environment parameter ENV=LOCAL; if [ "${1}" ]; then ENV=$1; fi BASEDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && cd ../../.. && pwd )"; MODULEDIR="$BASEDIR/ttools/sitesync-core"; #sourcing variables source $MODULEDIR/lib/vars.sh; KEEP=$BACKUP_KEEP_DEFAULT; if [ "$Sit...
titledk/ttools-sitesync-core
local/backup.sh
Shell
mit
816
#!/bin/sh cd `dirname $0` exec erl -pa $PWD/ebin $PWD/deps/*/ebin -boot start_sasl -s simmoa
chrisduesing/simmoa
start.sh
Shell
mit
93
#!/bin/sh Red='\33[0;31m'; Gre='\33[0;32m'; RCol='\33[0m'; cd `dirname $0` python setup.py test &&\ printf "\nPEP 8 compliance check:\n\n" pep8 \ --repeat \ --show-source \ --exclude=.venv,.tox,dist,docs,build,*.egg,tests,misc . && \ printf "[${Gre}Passed${RCol}] Yeah! everything is clean\n\n" || \ ...
kakwa/ldapcherry
run_test.sh
Shell
mit
390
sudo iptables -F sudo iptables -N TRAFFIC_ACC_IN sudo iptables -N TRAFFIC_ACC_OUT sudo iptables -A INPUT -p tcp --sport 6666 -j ACCEPT sudo iptables -A INPUT -j TRAFFIC_ACC_IN sudo iptables -A OUTPUT -p tcp --dport 6666 -j ACCEPT sudo iptables -A OUTPUT -j TRAFFIC_ACC_OUT sudo iptables -A TRAFFIC_ACC_IN -p tcp ! --spor...
TINDreamTeam/PABS
iptables_setup.sh
Shell
mit
621
FROM debian:buster
yglukhov/nim-docker
layers/debian-buster.sh
Shell
mit
19
gulp build cp -r dist/carbon /C/Dev/orcharddev/src/Orchard.Web/Modules/CommonLib.Polymer/Components/at-core-theme/dist cp -r dist/carbon /C/Dev/designer-0.8-preview/components/at-core-theme/dist
TangereJs/Semantic-UI
build.sh
Shell
mit
194
#! /bin/sh # @copyright Russell Standish 2000-2013 # @author Russell Standish # This file is part of Classdesc # # Open source licensed under the MIT license. See LICENSE for details. here=`pwd` if test $? -ne 0; then exit 2; fi tmp=/tmp/$$ mkdir $tmp if test $? -ne 0; then exit 2; fi cd $tmp if test $? -ne 0; th...
highperformancecoder/ecolab
test/00/t0029a.sh
Shell
mit
867
# nvm's bash_completion script contains a handler for zsh too source ~/.bash/nvm.bash
benknoble/Dotfiles
links/zsh/nvm.zsh
Shell
mit
86
#!/bin/bash echo "YeAPF 0.8.59 tools installer"; echo "Copyright (C) 2004-2017 Esteban Daniel Dortta - dortta@yahoo.com"; cant=1 dist=`uname -s` dist=${dist:0:6} if [[ "$dist" == "CYGWIN" ]]; then cant=0 fi if [[ $EUID -eq 0 ]]; then cant=0 fi if [[ $cant -ne 0 ]]; then echo "You must be root to run this scr...
EDortta/YeAPF
0.8.59/tools/distributionBuilder/install-ydistbuilder.sh
Shell
mit
676
#!/usr/bin/env bash function cat { local homedir='' local passphrase='' OPTIND=1 while getopts 'hd:p:' opt; do case "$opt" in h) _show_manual_for 'cat';; p) passphrase=$OPTARG;; d) homedir=$(_clean_windows_path "$OPTARG");; *) _invalid_option_for 'cat';; esac done shi...
sobolevn/git-secret
src/commands/git_secret_cat.sh
Shell
mit
752
# init according to man page if (( $+commands[jenv] )) then eval "$(jenv init -)" fi
hershmire/dotfiles
java/jenv.zsh
Shell
mit
87
#!/bin/sh if [ ! -z $1 ]; then docker logs -f --tail 200 daylove else docker logs --tail 200 daylove fi
netroby/daylove
catlog.sh
Shell
mit
105
#!/usr/bin/env sh rm -rf /tmp/kafka-data mkdir /tmp/kafka-data mkdir /tmp/kafka-data/data mkdir /tmp/kafka-data/logs chmod -R 777 /tmp/kafka-data BASEDIR=$(git rev-parse --show-toplevel) if [ -z "$(docker-compose --file ${BASEDIR}/kafka-setup/docker-compose.yml ps -q)" ]; then ${BASEDIR}/kafka-setup/generate-certs....
nodefluent/node-sinek
kafka-setup/start.sh
Shell
mit
466
#!/bin/bash #Mount cleartext folder "testing1" as cyphertext "testing2" encfs --reverse ~/zEncrypted/testing1 ~/zEncrypted/testing2 #Mount amazon cloud drive acd_cli mount ~/zAmazon #Upload Encrypted text acd_cli upload ~/zEncrypted/testing2 / #Mount cyphertext cloud folder as cleartext folder "testing3" ENCFS6_CON...
7blink/scripts
encfsAmazon.sh
Shell
mit
644
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for RHSA-2013:0668 # # Security announcement date: 2013-03-21 18:30:50 UTC # Script generation date: 2017-01-01 21:14:32 UTC # # Operating System: Red Hat 5 # Architecture: i386 # # Vulnerable packages fix on version: # - boost.i386:1.33.1-16.el5_9 # - boost-de...
Cyberwatch/cbw-security-fixes
Red_Hat_5/i386/2013/RHSA-2013:0668.sh
Shell
mit
968
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DSA-2600-1 # # Security announcement date: 2013-01-06 00:00:00 UTC # Script generation date: 2017-01-01 21:06:28 UTC # # Operating System: Debian 6 (Squeeze) # Architecture: x86_64 # # Vulnerable packages fix on version: # - cups:1.4.4-7+squeeze2 # # Last ver...
Cyberwatch/cbw-security-fixes
Debian_6_(Squeeze)/x86_64/2013/DSA-2600-1.sh
Shell
mit
614
#!/bin/bash -x # write to file overwrite_to_file() { base16-builder --scheme "db/schemes/base2tone-evening.yml" --template "db/templates/prism/dark.ejs" > "output/prism/prism-base2tone-evening-dark.css" base16-builder --scheme "db/schemes/base2tone-evening.yml" --template "db/templates/prism/light-alt.ejs" > "outp...
atelierbram/Base2Tone-prism
io.sh
Shell
mit
6,165
echo "Now running Platon's mind... (Compilation may take a few seconds)" echo sbcl --noinform --disable-ldb --lose-on-corruption --no-sysinit --disable-debugger --load ./platonsmind.lisp --end-toplevel-options localhost:55559
hoelzl/Academia
Scenario/maze/runplatonsmind.sh
Shell
mit
226
#!/usr/bin/env bash # Iterates over all modules bundled in the dist/ and publish them for dir in ./dist/*/ do dir=${dir%*/} npm publish --access=public dist/${dir##*/}/ done
akveo/nebular
tools/publish.sh
Shell
mit
183
#!/bin/sh echo ' on run argv if length of argv is equal to 0 set command to "" else set command to item 1 of argv end if if length of argv is less than 2 runSimple(command) end if if length of argv is greater than 1 set profile to item 2 of argv if length of argv is greater than 2 ...
mattgiguere/shellScripts
term.sh
Shell
mit
1,270
#!/bin/sh bindir=$(pwd) cd /home/thijs/codes/BSshadow/OpenGL-tutorial_v0014_33/tutorial04_colored_cube/ export LD_LIBRARY_PATH=:$LD_LIBRARY_PATH if test "x$1" = "x--debugger"; then shift if test "x" = "xYES"; then echo "r " > $bindir/gdbscript echo "bt" >> $bindir/gdbscript -batch -command=$bindir/gdbscript ...
thijser/BSshadow
OpenGL-tutorial_v0014_33/build/launch-tutorial04_colored_cube.sh
Shell
mit
597
export PATH="/home/marcel/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/usr/local/node/bin:$PATH" export FPATH="/home/marcel/.oh-my-zsh/custom/plugins:$FPATH" export EDITOR="/usr/bin/atom" export EDITOR_CLI="/usr/bin/atom" export CHEATCOLORS=true export LANG=en_US.UTF-8...
Marcel-Robitaille/zshdotfiles
oh-my-zsh/exports.sh
Shell
mit
321
#!/bin/bash # # Build munin package from Debian debian-experimental branch. # # DEPENDS :docker pull szepeviktor/stretch-backport test -d /opt/results || mkdir /opt/results # source hook cat >/opt/results/debackport-source <<"EOF" #git clone -b debian-experimental "https://salsa.debian.org/debian/munin.git" mun...
szepeviktor/debian-server-tools
package/docker-backport-munin.sh
Shell
mit
2,060
#!/usr/bin/env bash CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" # shellcheck source=scripts/helpers.sh source "$CURRENT_DIR/helpers.sh" # script global variables ram_low_icon="" ram_medium_icon="" ram_high_icon="" ram_low_default_icon="=" ram_medium_default_icon="≡" ram_high_default_icon="≣" # icon...
tmux-plugins/tmux-cpu
scripts/ram_icon.sh
Shell
mit
1,092
#!/bin/sh # # Script to install a system onto the BBB eMMC. # This script handles the root file system partition. # # Run it like this: # # ./emmc_copy_rootfs.sh <image-file> [ <hostname> ] # MACHINE=beaglebone DEV=/dev/mmcblk1p2 if [ -z "${SRCDIR}" ]; then SRCDIR=. else if [ ! -d "${SRCDIR}" ]; then...
Netgate/meta-ubmc
recipes-support/emmc-installer/files/emmc_copy_rootfs.sh
Shell
mit
1,980
#!/bin/bash # # Vim # # This installs plugins and other goodies for Vim # Install Vim solarized colour scheme [[ -d ~/.vim/colors ]] || mkdir -p ~/.vim/colors if ! [ -e ~/.vim/colors/solarized.vim ] then curl -L -o ~/.vim/colors/solarized.vim https://raw.githubusercontent.com/altercation/solarized/master/vim-color...
loganfuller/dotfiles
vim/install.sh
Shell
mit
1,078
#!/bin/bash # take the raw output of mgblast which is 12 fields # and get the query, subject, %identity, bitscore cut -f 1,5,9,10 mgblast_out.txt > cut_fields.txt # print each line if the %identity is above 90.00 awk '$3>90.00' cut_fields.txt > parsed_cut.txt # now prepare for fgclust by only taking the query, subjec...
sestaton/sesbio
genome_assembly/shell_scripts/parse_mgblash_id.sh
Shell
mit
415
#!/usr/bin/env bash function fixture() { if [ -z "${1:-}" ]; then printf "Usage: fixture name\n" >&2 return 1 fi local NEW="" if [ ! -d "${HOME}/fixtures/${1}" ]; then NEW=" (new)" mkdir -p "${HOME}/fixtures/${1}" fi clear printf "${GREEN}==>${RESET} fixture ${1}${NEW}\n" cd "${HOME}/f...
smashwilson/dotfiles
bash/fixture.bash
Shell
mit
666
#!/usr/bin/env bash set -e TESTCATEGORY=$1 PLATFORM=$2 if [ "$TESTCATEGORY" == "" ]; then echo You must specify a category! exit 1 fi if [ "$PLATFORM" == "" ]; then PLATFORM=`uname` fi BUILDDIR=./build/$TESTCATEGORY OUTPUTDIR=./build/benchmarks mkdir -p $OUTPUTDIR function benchmark { local NAMES=...
JCash/containers
benchmarks/benchmark.sh
Shell
mit
1,008
#!/bin/bash PROJECT_ID=125331 OUTPUT_DIR=src/code/utils/lang LANGUAGES=("he" "tr" "zh-TW" "zh-HANS" "es" "pl" "et" "el" "nb" "nn" "de" "th" "pt-BR") # argument processing from https://stackoverflow.com/a/14203146 while [[ $# -gt 1 ]] do key="$1" case $key in -a|--api_token) API_TOKEN="$2" shift # past arg...
concord-consortium/building-models
bin/strings-pull-project.sh
Shell
mit
903
#!/bin/bash THIS_ADDR="dtn://192.168.11.122.gao.com" dir=`pwd` num=1 fileflag="bundle payload is file@#@&%~#%" bundlelist=`ls /var/dtn/bundleDeliveried` #echo "bundlelist: $bundlelist" while [ 1 ] do newfile=`ls -t /var/dtn/bundleDeliveried | head -5` newlist="" for str in $newfile do newlist="$str $newlist" ...
xyongcn/dtn2
ion/json_cmd_listener.sh
Shell
mit
3,320
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for RHSA-2015:0988 # # Security announcement date: 2015-05-12 19:26:11 UTC # Script generation date: 2017-01-25 21:22:45 UTC # # Operating System: Red Hat 6 # Architecture: x86_64 # # Vulnerable packages fix on version: # - firefox.i686:38.0-4.el6_6 # - firefox...
Cyberwatch/cbw-security-fixes
Red_Hat_6/x86_64/2015/RHSA-2015:0988.sh
Shell
mit
1,070
#!/bin/sh set -eo pipefail -o nounset ## Get the .genome file genome=https://raw.githubusercontent.com/gogetdata/ggd-recipes/master/genomes/Homo_sapiens/hg19/hg19.genome ## Get and process the tRNA Genes from from UCSC wget --quiet -O - http://hgdownload.soe.ucsc.edu/goldenPath/hg19/database/tRNAs.txt.gz \ | gzip...
gogetdata/ggd-recipes
recipes/genomics/Homo_sapiens/hg19/hg19-trna-genes-ucsc-v1/recipe.sh
Shell
mit
1,040
#!/bin/bash # Set variables # ----------------------------------- DREAMBOT_GITHUB_FOLDER_NAME="dreambot1.0.0" DREAMBOT_GITHUB_FILE_NAME="dreambot-1.0.0" # Set functions # ----------------------------------- logMessage () { echo " $1" echo " ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~" } echo "...
DreamersTraders/generator-dreambot
install-loud.sh
Shell
mit
3,316
#!/bin/bash # ---------------------- # KUDU Deployment Script # Version: 0.1.7 # ---------------------- # Helpers # ------- exitWithMessageOnError () { if [ ! $? -eq 0 ]; then echo "An error has occurred during web site deployment." echo $1 exit 1 fi } # Prerequisites # ------------- # Verify node....
Famospace/Famo.us-Monospace
deploy.sh
Shell
mit
4,072
#!/bin/sh cd -- "$(dirname -- "${BASH_SOURCE:-$0}")" zip -j runestar.zip runestar.cmd runestar.command ../LICENSE ../NOTICE
RuneSuite/client
bootstrap/zip.sh
Shell
mit
126
#!/bin/bash # modified from http://ficate.com/blog/2012/10/15/battery-life-in-the-land-of-tmux/ HEART='♥ ' battery_info=`ioreg -rc AppleSmartBattery` current_charge=$(echo $battery_info | grep -o '"CurrentCapacity" = [0-9]\+' | awk '{print $3}') total_charge=$(echo $battery_info | grep -o '"MaxCapacity" = [0-9]\+' | ...
linkux-it/linkux-dev
conf/osx/sh/battery_indicator.sh
Shell
mit
889
#!/bin/bash mkdir -p /dev/shm/images raspistill -o /dev/shm/images/test.jpg result=`python detectFruit.py http://YOUR-EXTERNAL-IP:5005/images/test.jpg` if [ $result == 1 ] ; then `curl -X PATCH -d '{"checkout_state":{"workflow_state":"shopping"},"items":{"1069829":{"created_at":1.409336316211E9,"qty":1,"user_i...
StevenHickson/AutonomousFridge
test.sh
Shell
mit
892
#!/bin/sh # Copyright (c) 2014-2016 The PlanBcoin developers # Distributed under the MIT software license, see the accompanying # file COPYING or http://www.opensource.org/licenses/mit-license.php. DIR=$(dirname "$0") [ "/${DIR#/}" != "$DIR" ] && DIR=$(dirname "$(pwd)/$0") echo "Using verify-commits data from ${DIR}"...
planbcoin/planbcoin
contrib/verify-commits/verify-commits.sh
Shell
mit
3,511
#!/usr/bin/env bash # # Model: FRITZ!Box 7490 (7590?) # Fritz!OS: 7.27 # author: Michael Dinkelaker, # michael[dot]dinkelaker[at]gmail[dot]com # # version history: # 0.1, 2016-06-03, first release # 0.2, 2017-03-03, fix for Fritz!OS 6.80 # 0.3, 2020-10-05, fix for Fritz!OS 7.21 # ...
m1d1/fritzbox7490_backup
lib_fritz7490.sh
Shell
mit
4,235
# # http://nginx.org/en/linux_packages.html?_ga=1.165512447.1124031743.1468906423 # # https://www.digitalocean.com/community/tutorials/how-to-secure-nginx-with-let-s-encrypt-on-ubuntu-14-04 # add source curl http://nginx.org/keys/nginx_signing.key | apt-key add - cat <<'EOF' > /etc/apt/sources.list.d/nginx.list # t...
wheelcomplex/freebsd-desktop
nginx-http2.setup.sh
Shell
cc0-1.0
3,474
closure-library/closure/bin/build/closurebuilder.py \ --namespace "myproject.start" \ --root . \ --output_mode=compiled \ --compiler_jar=compiler.jar \ --compiler_flags="--compilation_level=ADVANCED_OPTIMIZATIONS" \ > hello-compiled.js
trajano/hello-closure
build.sh
Shell
epl-1.0
248
#!/bin/bash # Written by Oded Gabbay # oded.gabbay@amd.com # openSUSE support and detection of built-in modules by Joerg Roedel <jroedel@suse.de> # Add /sbin and /usr/sbin to path in case it is not already and lspci is there PATH=$PATH:/sbin:/usr/sbin usage() { echo -e "\nusage: $1 [options]\n" echo -e "options:\n"...
HSAFoundation/HSA-Drivers-Linux-AMD
kfd_check_installation.sh
Shell
gpl-2.0
4,442
#!/bin/sh bin/s2fil_filter_construct \ -out data_filter/mf_Tbfly_Bcmb_Stmpl.fil \ -nside 128 \ -filename_dil data_in/dilation_radian.txt \ -bkgnd_cmb data_in/wmap_lcdm_pl_model_yr1_v1.txt \ -noise_var 0.05e0 \ -beam_fwhm 13.0e0 \ -tmpl butterfly \ -filter_heu .true. \ -filter_type m...
astro-informatics/s2fil
filter_construct_mf_bfly.sh
Shell
gpl-2.0
347
#!/bin/bash STAT_FREQ=1 BASE_DIR="$(cd $(dirname $0); pwd)" COOKIE_FILE="$BASE_DIR/cookies.txt" TEMP_FILE="/tmp/routerinfo_temp" GENERAL="--no-check-certificate --keep-session-cookies" SILENCE="--quiet" VERBOSE="--verbose --debug" SAVE_COOKIES="--save-cookies $COOKIE_FILE" LOAD_COOKIES="--load-cookies $COOKIE_FILE...
pfsmorigo/routerinfo
routerinfo.sh
Shell
gpl-2.0
2,557
#!/usr/bin/env bash ############################################################################ # Portion of Slurm test suite ############################################################################ # Copyright (C) 2015 SchedMD LLC # Written by Nathan Yee, SchedMD # # This file is part of SLURM, a resource managem...
jabl/slurm
testsuite/expect/test8.21.bash
Shell
gpl-2.0
1,908
#!/system/xbin/busybox sh # Original by dorimanx for ExTweaks # Modified by UpInTheAir for SkyHigh kernels & Synapse BB=/system/xbin/busybox; P=/data/media/0/hackerkernel/values/cron_google; GOOGLE=`cat $P`; if [ "$($BB mount | grep rootfs | cut -c 26-27 | grep -c ro)" -eq "1" ]; then $BB mount -o remount,rw /; fi;...
HRTKernel/Hacker_Kernel_SM-G92X_MM
build/res/crontab/cron-scripts/ram_release.sh
Shell
gpl-2.0
1,206
# $Progeny$ # # Copyright 2005 Progeny Linux Systems, Inc. # # This file is part of PDK. # # PDK is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2 of the License, or # (at your optio...
64studio/pdk
atest/resolve-compile-hard-packages.sh
Shell
gpl-2.0
5,855
# this file contains just simple commands or more complex one liners # delete files that are older than 10 days and ignore all files that contain "README" find . -mtime +10 | xargs ls | grep -v README | xargs rm -f # delete all files older than 10 days find . -mtime +10 -exec rm {} \; # get public ip curl -s checkip...
thauzer/TestProjects
bash/one_liners.sh
Shell
gpl-2.0
445
#!/bin/sh # Copyright (c) 2017 Oracle and/or its affiliates. All Rights Reserved. # # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU General Public License as # published by the Free Software Foundation; either version 2 of # the License, or (at your option) any lat...
richiejp/ltp
testcases/network/dccp/dccp01.sh
Shell
gpl-2.0
1,381